.ll 6.5i
.ce 
.ps 12
.vs 14
\fBOcttools Release 5.2\fR
.sp
.LP
.na
.nh
.ps 10
.vs 12
The Octtools is a collection of programs and libraries that
together form an integrated system for IC design.
The system includes tools for PLA and multi-level logic synthesis,
standard cell placement and routing, and custom cell design,
along with a variety of utility programs
for manipulating schematic, symbolic, and geometric design data.
Most tools are integrated with the Oct data manager,
the VEM user interface, and the design manager VOV.
The software is written in C and requires UNIX and the X window system
(including the Athena Widget Set).
A few tools are written in C++ and require the g++ compiler.
.LP
The new release features
support for Hewlett-Packard's HP-UX version of Unix,
minor improvements to a number of the tools,
and updated and improved documentation.
.sp
The tool set includes the following programs:
.ba +.75i
.IP \fBattache\fP 1i
Text based Oct editor and browser
.IP \fBbdnet\fP 1i
Converts a text based netlist format to Oct
.IP \fBBear-FP1.1\fP 1i
A placement and floorplanning package for macrocells (manuals not included)
.IP \fBbdsyn\fP 1i
Extracts combinational logic equations from a description written
in the BDS hardware description language
.IP \fBchipstats\fP 1i
Prints out statistics about a chip
.IP \fBciftooct\fP 1i
Converts cells from CIF to Oct format
.IP \fBcrystal\fP 1i
The Crystal timing analyzer with an Oct interface
.IP \fBespresso\fP 1i
Multi-valued PLA minimization program
.IP \fBgem\fP 1i
CMOS gate matrix module generator
.IP \fBgenie\fP 1i
Generalized array optimizer
.IP \fBhpgl\fP 1i
Converts Oct to HPGL format
.IP \fBjedi\fP 1i
State assignment program
.IP \fBjumbo\fP 1i
Netlist partitioner
.IP \fBmag2oct\fP 1i
Converts cells from MAGIC to Oct format
.IP \fBmighty\fP 1i
Rip-up-and-reroute router
.IP \fBmisII\fP 1i
Multi-level logic optimization program
.IP \fBmizer\fP 1i
Minimizes the number of vias in a cell
.IP \fBmosaico\fP 1i
Macrocell place and route system
.IP \fBmsumap\fP 1i
Convert a schematic of MSU Standard cell symbols to physical views
.IP \fBmusa\fP 1i
Simulates logic and gate level circuits read from Oct or
sim files (with X graphics capability)
.IP \fBmustang\fP 1i
State assignment program for multi-level finite state machines
.IP \fBnova\fP 1i
State assignment program for PLA based finite state machines
.IP \fBoct2hilo\fP 1i
Converts cells to HILO format (courtesy of M2C)
.IP \fBoct2ps\fP 1i
Generates a PostScript representation of an Oct facet
.IP \fBoctdiff\fP 1i
Compares two Oct facets and reports the differences
.IP \fBoctdoc\fP 1i
Octtools documentation overview utility
.IP \fBoctdrc\fP 1i
Checks a design for DRC violations
.IP \fBoctflatten\fP 1i
Geometry and netlist flattener
.IP \fBoctgc\fP 1i
Garbage collector for objects in an Oct facet
.IP \fBoctmm\fP 1i
Mask manipulation program
.IP \fBoctpla\fP 1i
PLA generation program
.IP \fBoctprop\fP 1i
Adds properties and bags to Oct facets
.IP \fBocttocif\fP 1i
Converts cells from Oct to CIF format
.IP \fBpadplace\fP 1i
Assigns locations and/or creates formal terminals/pads for a facet;
performs pad power/ground ring routing
.IP \fBphyt\fP 1i
Adds text strings to layout
.IP \fBprim\fP 1i
Generates vias
.IP \fBpuppy\fP 1i
Simulated annealing based placement program
.IP \fBputconst\fP 1i
Allows the user to place compaction constraints on instances
and formal terminals
.IP \fBsparcs\fP 1i
Symbolic layout spacing and compaction program
.IP \fBspice3e2\fP 1i
SPICE circuit simulator, version 3e1 (user's manual not included)
.IP "\fBsymhelp, \
rpc-symhelp\fP" 1i
Checks and cleans up symbolic cells
.IP "\fBtech-edit, \
techBuild, \
tap-print\fP" 1i
For support of technology descriptions (such as layout design rules)
.IP \fBTimberWolfSC\fP 1i
Standard cell placement and global routing program
.IP \fBvem\fP 1i
Extensible graphics editor using the X window system (X11R4 and later)
.IP \fBVOV\fP 1i
Trace based design manager
.IP \fBvulcan\fP 1i
Cell abstraction generator supporting hierarchical design
.IP \fBwolfe\fP 1i
Standard cell design style macrocell generator
.IP \fByacr\fP 1i
Channel routing program
.IP \fByal2oct\fP 1i
Converts a YAL description to Oct
.ba -.75i
.LP
The following packages are included:
.ba +.75i
.IP "\fBavl\fP" 1i
AVL tree package
.IP "\fBcif, cp\fP" 1i
CIF parser package
.IP "\fBda\fP" 1i
Dynamic array package
.IP \fBerrtrap\fP 1i
Exception handling package
.IP "\fBfang, \
harpoon\fP" 1i
Manhattan geometry manipulation packages for Oct
.IP \fBfc\fP 1i
Filename completion package
.IP \fBgu\fP 1i
Geometric updates package
.IP \fBiv\fP 1i
Allows interactive changing of variables in X
.IP \fBkd\fP 1i
K-D tree package
.IP \fBlel\fP 1i
Label evaluation package
.IP \fBLightLisp\fP 1i
C based interpreter for a subset of CommonLisp
.IP \fBlist\fP 1i
Doubly linked list package
.IP \fBmkarray\fP 1i
Place and wire array based layout structures
.IP \fBmm\fP 1i
Memory allocation package
.IP \fBnle\fP 1i
Netlist editing package
.IP \fBoct\fP 1i
Oct data manager
.IP \fBoctmm\fP 1i
Oct mask modification package
.IP \fBoh\fP 1i
Oct helper functions and macros
.IP \fBoptions\fP 1i
Option parsing and message package
.IP \fBport\fP 1i
Portability package
.IP \fBregion\fP 1i
Region searching package for Oct
.IP \fBrpc\fP 1i
VEM/Oct remote procedure call library
.IP \fBst\fP 1i
Hash table package
.IP "\fBsymlib, symbolic\fP" 1i
Symbolic policy libraries
.IP \fBtap\fP 1i
Technology access package
.IP \fBtimer\fP 1i
Multiple stopwatch timer package
.IP \fBtr\fP 1i
Transform package
.IP \fBuprintf\fP 1i
Parses and formats variable length argument lists
.IP \fButility\fP 1i
Utility/system services package
.IP \fBvov\fP 1i
Interface for the design manager VOV
.IP \fBvulcan\fP 1i
Cell abstraction generation package
.IP \fBxg\fP 1i
Graph drawing package (for X)
.ba -.75i

.LP
Also included is the Microelectronics and Computer Corporation
(MCC) Data Management System (DMS) for Oct.
.LP
The following cell libraries are included:
.in +0.5i
.IP "MSU Standard Cell Library, version 2.2"
.IP "PLA Primitives"
.IP "MOSIS Pads"
.IP "M2C Pads"
.in -0.5i
.LP
\fBHardware/Operating System Requirements:\fR
The software is distributed on a tape
with approximately 32MB of compressed archives.
Uncompressing requires a a minimum of 60MB,
and an additional 50MB for the optional parts
such as SPICE, OctLisp, and Bear-FP.
Approximately 130MB are needed to build all the programs.
The executable files can be stripped manually to save about 20MB.
On the IBM RS/6000 the disk requirements are about twice as much.
.sp
This release has been built and tested on the following
combinations of machines and operating systems:
Sun 4/260 running SunOS 4.1.1;
DECstation 5000 running Ultrix 4.2; 
and HP/Apollo 9000/720 running HP-UX 8.07.
Prior releases have run on VAX Ultrix,
the Sequent Symmetry, and the IBM RS/6000 running AIX 3.1.
.sp
Please note that most of these tools
are the results of previous or ongoing research projects
and do not form a turnkey or production system.
They have bugs and do not always work together as well as they should.
.sp .5
\fBAdditional Software Required:\fR X Window Sytem, X11R4 or later,
including the Athena Widget Set.  
.sp .5
\fBCompiler:\fR C; the VOV design manager and a few other tools
require C++, the g++ version in particular.
.sp .5
\fBVersions Available:\fR UNIX only
.sp .5
\fBDistribution Media:\fR (when ordering please specify media preference)
9-track 1600 BPI 2400' magnetic tape;
8mm tape;
1/4inch tape (QIC150 or TK50).
.sp .5
\fBSource Code:\fR Yes
.sp .5
\fBObject Code:\fR No
.sp .5
\fBMaterials/Handling fee:\fR $250.00
.sp
\fBDocumentation included with the tape (and on the tape in PostScript format):
.IP 1.
Octtools-5.2: Part I - User's Guide
(available separately in hardcopy for $15.00).
.IP 2.
Octtools-5.2: Part II - Reference
(available separately in hardcopy for $15.00).
.IP 3.
Octtools-5.2: Part III - Man Pages
(available separately in hardcopy for $15.00).
.LP
\fBForeign Distribution:\fR Contact the Software Office.
.LP
\fBFTP Distribution:\fR
Because of governmental restrictions, ftp access to the Octtools is controlled.
You will have to complete some forms.
To obtain the forms, ftp to ic.berkeley.edu as anonymous.
In the directory pub/octtools you will find:
agreement.ms,
agreement.ps,
assurance.ms,
assurance.ps,
order.ms, and
order.ps.
You may use either the ms or postscript files, whichever is convenient.
You must submit all three documents to the address on the order form.
After your paperwork has been received an ftp account will be created for you.
You may direct questions to software@hera.berkeley.edu.
